<?php

namespace xenarabia\BestAnswer\XF\Option;


class Prefix extends \XF\Option\AbstractOption
{
	public static function renderSelect(\XF\Entity\Option $option, array $htmlParams)
    {

        /** @var \XF\Repository\ThreadPrefix $prefixRepo */
		$prefixRepo = \XF::repository('XF:ThreadPrefix');
		$prefixListData = $prefixRepo->findPrefixesForList()->fetch()->pluckNamed('title', 'prefix_id');
		$choices = $prefixRepo->getPrefixListData();

		return self::getTemplate('admin:option_template_ba_threadprefix', $option, $htmlParams, [
			'prefixes' => $prefixListData
		]);
    }	


}